> For the complete documentation index, see [llms.txt](https://docs.hyperunit.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyperunit.xyz/developers/api/withdraw-queue.md).

# Withdraw Queue

As explained in the lifecycle section, withdrawal operations are completed by the withdraw queue, a process is triggered every \~3 Bitcoin blocks for bitcoin withdrawals, and \~every 21 Ethereum slots for ethereum withdrawals. The withdraw queue processes the destination transactions of staged operations in batches due to the throughput constraints of supported networks.

This endpoint can better inform the status of withdrawal operations.&#x20;

### Endpoint

<mark style="color:green;">**`GET`**</mark> `/withdrawal-queue`

#### **200: OK Successful Response**

```json
{
  "bitcoin": {
    "lastWithdrawQueueOperationTxID": "f15cf8bb590cd7d50dc9d892c9d4d5ba370887f462cd5ac5e61ad2696b19e6cd",
    "withdrawalQueueLength": 2
  },
  "ethereum": {
    "lastWithdrawQueueOperationTxID": "0x95f792c9ba7d31d33b6d631824756e74cd85e6c1cb5d677b4614c324f57c6aa7",
    "withdrawalQueueLength": 0
  }
}
```

**400: Error Response**

```json
{"error":"invalid request"}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyperunit.xyz/developers/api/withdraw-queue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
